From 7eb9b856e3824fc5fb44158dd03b74fdeef637fe Mon Sep 17 00:00:00 2001
From: Walter Doekes <walter+github@wjd.nu>
Date: Sun, 6 Sep 2015 11:25:48 +0200
Subject: [PATCH 09/15] Spaces cleanup. Asterisk version number cleanup.

---
 app.c         |  20 +++---
 ast_compat.h  |   8 +--
 at_command.c  |  26 +++----
 at_parse.c    |  35 +++++-----
 at_queue.c    |  20 +++---
 at_read.c     |   2 +-
 at_response.c | 175 ++++++++++++++++++++++++------------------------
 chan_dongle.c | 120 +++++++++++++++------------------
 chan_dongle.h |  10 +--
 channel.c     | 201 ++++++++++++++++++++++++++++++++-----------------------
 channel.h     |  17 +++--
 char_conv.c   |   4 +-
 cli.c         |  31 ++++-----
 cpvt.c        |   2 +-
 dc_config.c   |   4 +-
 helpers.c     |   6 +-
 manager.c     |  76 +++++++++++----------
 mixbuffer.c   |   2 +-
 pdiscovery.c  |  39 +++++------
 pdu.c         | 212 +++++++++++++++++++++++++++++-----------------------------
 ringbuffer.c  |  16 ++---
 ringbuffer.h  |   6 +-
 test/parse.c  |  69 +++++++------------
 23 files changed, 553 insertions(+), 548 deletions(-)

diff --git a/app.c b/app.c
index a46fc8d..6ea5e93 100644
--- a/app.c
+++ b/app.c
@@ -3,12 +3,12 @@
 #endif /* HAVE_CONFIG_H */
 
 #ifdef BUILD_APPLICATIONS
-/* 
+/*
    Copyright (C) 2009 - 2010
-   
+
    Artem Makhutov <artem@makhutov.org>
    http://www.makhutov.org
-   
+
    Dmitry Vagin <dmitry2004@yandex.ru>
 
    bg <bg_one@mail.ru>
@@ -124,7 +124,7 @@ static const struct dongle_application
 	int		(*func)(struct ast_channel* channel, const char* data);
 	const char*	synopsis;
 	const char*	desc;
-} dca[] = 
+} dca[] =
 {
 	{
 		"DongleStatus",
@@ -138,7 +138,7 @@ static const struct dongle_application
 	{
 		"DongleSendSMS",
 		app_send_sms_exec,
-		"DongleSendSMS(Device,Dest,Message,Validity,Report)", 
+		"DongleSendSMS(Device,Dest,Message,Validity,Report)",
 		"DongleSendSMS(Device,Dest,Message,Validity,Report)\n"
 		"  Device   - Id of device from dongle.conf\n"
 		"  Dest     - destination\n"
@@ -148,11 +148,11 @@ static const struct dongle_application
 	}
 };
 
-#if ASTERISK_VERSION_NUM >= 10800
-typedef int		(*app_func_t)(struct ast_channel* channel, const char * data);
-#else
-typedef int		(*app_func_t)(struct ast_channel* channel, void * data);
-#endif
+#if ASTERISK_VERSION_NUM >= 10800 /* 1.8+ */
+typedef int (*app_func_t)(struct ast_channel *channel, const char *data);
+#else /* 1.8- */
+typedef int (*app_func_t)(struct ast_channel *channel, void *data);
+#endif /* ^1.8- */
 
 #/* */
 EXPORT_DEF void app_register()
diff --git a/ast_compat.h b/ast_compat.h
index c22b75e..1ad407a 100644
--- a/ast_compat.h
+++ b/ast_compat.h
@@ -10,7 +10,7 @@
 #include <asterisk/channel.h>
 
 /* Asterisk 11+ channel opaqification */
-#if ASTERISK_VERSION_NUM < 110000
+#if ASTERISK_VERSION_NUM < 110000 /* 11- */
 
 /* channel->name */
 static inline const char *ast_channel_name(const struct ast_channel *chan) { return chan->name; }
@@ -44,13 +44,13 @@ static inline const char *ast_channel_linkedid(const struct ast_channel *chan) {
 /* channel->hangupcause */
 static inline void ast_channel_hangupcause_set(struct ast_channel *chan, int value) { chan->hangupcause = value; }
 
-#if ASTERISK_VERSION_NUM >= 100000
+#if ASTERISK_VERSION_NUM >= 100000 /* 10+ */
 /* channel->*format* */
 static inline struct ast_format_cap *ast_channel_nativeformats(const struct ast_channel *chan) { return chan->nativeformats; }
 static inline struct ast_format ast_channel_readformat(const struct ast_channel *chan) { return chan->readformat; }
 static inline struct ast_format ast_channel_writeformat(const struct ast_channel *chan) { return chan->writeformat; }
-#endif
+#endif /* ^10+ */
 
-#endif
+#endif /* ^11- */
 
 #endif /* CHAN_DONGLE_AST_COMPAT_H_INCLUDED */
diff --git a/at_parse.c b/at_parse.c
index 27ef6d7..85172cb 100644
--- a/at_parse.c
+++ b/at_parse.c
@@ -1,9 +1,9 @@
-/* 
+/*
    Copyright (C) 2009 - 2010
-   
+
    Artem Makhutov <artem@makhutov.org>
    http://www.makhutov.org
-   
+
    Dmitry Vagin <dmitry2004@yandex.ru>
 
    bg <bg_one@mail.ru>
@@ -27,7 +27,7 @@
 static unsigned mark_line(char * line, const char * delimiters, char * pointers[])
 {
 	unsigned found = 0;
-	
+
 	for(; line[0] && delimiters[found]; line++)
 	{
 		if(line[0] == delimiters[found])
@@ -89,7 +89,7 @@ EXPORT_DEF char* at_parse_cops (char* str)
 	 * parse COPS response in the following format:
 	 * +COPS: <mode>[,<format>,<oper>,<?>]
 	 *
-	 * example 
+	 * example
 	 *  +COPS: 0,0,"TELE2",0
 	 */
 
@@ -265,7 +265,7 @@ EXPORT_DEF int at_parse_cmti (const char* str)
 
 	/*
 	 * parse cmti info in the following format:
-	 * +CMTI: <mem>,<index> 
+	 * +CMTI: <mem>,<index>
 	 */
 
 	return sscanf (str, "+CMTI: %*[^,],%u", &index) == 1 ? index : -1;
@@ -288,7 +288,7 @@ static const char * parse_cmgr_text(char ** str, size_t len, char * oa, size_t o
 	char delimiters[] = ",,,\n";
 	char * marks[STRLEN(delimiters)];
 	size_t length;
-	
+
 	unsigned count = mark_line(*str, delimiters, marks);
 	if(count == ITEMS_OF(marks))
 	{
@@ -420,7 +420,7 @@ EXPORT_DEF int at_parse_cusd (char* str, int * type, char** cusd, int * dcs)
 	/*
 	 * parse cusd message in the following format:
 	 * +CUSD: <m>,[<str>,<dcs>]
-	 * 
+	 *
 	 * examples
 	 *   +CUSD: 5
 	 *   +CUSD: 0,"100,00 EURO, valid till 01.01.2010, you are using tariff "Mega Tariff". More informations *111#.",15
@@ -597,17 +597,12 @@ EXPORT_DEF int at_parse_clcc(char* str, unsigned * call_idx, unsigned * dir, uns
 
 	if(mark_line(str, delimiters, marks) == ITEMS_OF(marks))
 	{
-		if( sscanf(marks[0] + 1, "%u", call_idx) == 1
-			&&
-		    sscanf(marks[1] + 1, "%u", dir) == 1
-			&&
-		    sscanf(marks[2] + 1, "%u", state) == 1
-			&&
-		    sscanf(marks[3] + 1, "%u", mode) == 1
-			&&
-		    sscanf(marks[4] + 1, "%u", mpty) == 1
-			&&
-		    sscanf(marks[6] + 1, "%u", toa) == 1) 
+		if(sscanf(marks[0] + 1, "%u", call_idx) == 1
+			&& sscanf(marks[1] + 1, "%u", dir) == 1
+			&& sscanf(marks[2] + 1, "%u", state) == 1
+			&& sscanf(marks[3] + 1, "%u", mode) == 1
+			&& sscanf(marks[4] + 1, "%u", mpty) == 1
+			&& sscanf(marks[6] + 1, "%u", toa) == 1)
 		{
 			marks[5]++;
 			if(marks[5][0] == '"')
@@ -627,7 +622,7 @@ EXPORT_DEF int at_parse_clcc(char* str, unsigned * call_idx, unsigned * dir, uns
 #/* */
 EXPORT_DEF int at_parse_ccwa(char* str, unsigned * class)
 {
-	/* 
+	/*
 	 * CCWA may be in form:
 	 *	in response of AT+CCWA=?
 	 *		+CCWA: (0,1)
diff --git a/at_response.c b/at_response.c
index e8a35b6..83e800a 100644
--- a/at_response.c
+++ b/at_response.c
@@ -1,9 +1,9 @@
-/* 
+/*
    Copyright (C) 2009 - 2010
-   
+
    Artem Makhutov <artem@makhutov.org>
    http://www.makhutov.org
-   
+
    Dmitry Vagin <dmitry2004@yandex.ru>
 
    bg <bg_one@mail.ru>
@@ -215,7 +215,7 @@ static int at_response_ok (struct pvt* pvt, at_res_t res)
 
 			case CMD_AT_A:
 			case CMD_AT_CHLD_2x:
-/* not work, ^CONN: appear before OK for CHLD_ANSWER 
+/* not work, ^CONN: appear before OK for CHLD_ANSWER
 				task->cpvt->answered = 1;
 				task->cpvt->needhangup = 1;
 */
@@ -325,7 +325,7 @@ static int at_response_error (struct pvt* pvt, at_res_t res)
 	{
 		switch (ecmd->cmd)
 		{
-        		/* critical errors */
+			/* critical errors */
 			case CMD_AT:
 			case CMD_AT_Z:
 			case CMD_AT_E:
@@ -841,10 +841,16 @@ static int start_pbx(struct pvt* pvt, const char * number, int call_idx, call_st
 
 	/* TODO: pass also Subscriber number or other DID info for exten  */
 #if ASTERISK_VERSION_NUM >= 130000 /* 13+ */
-	struct ast_channel * channel = new_channel (pvt, AST_STATE_RING, number, call_idx, CALL_DIR_INCOMING, state, pvt->has_subscriber_number ? pvt->subscriber_number : CONF_SHARED(pvt, exten), NULL, NULL);
-#else
-	struct ast_channel * channel = new_channel (pvt, AST_STATE_RING, number, call_idx, CALL_DIR_INCOMING, state, pvt->has_subscriber_number ? pvt->subscriber_number : CONF_SHARED(pvt, exten), NULL);
-#endif
+	struct ast_channel * channel = new_channel(
+			pvt, AST_STATE_RING, number, call_idx, CALL_DIR_INCOMING, state,
+			pvt->has_subscriber_number ? pvt->subscriber_number : CONF_SHARED(pvt, exten),
+			NULL, NULL);
+#else /* 13- */
+	struct ast_channel * channel = new_channel(
+			pvt, AST_STATE_RING, number, call_idx, CALL_DIR_INCOMING, state,
+			pvt->has_subscriber_number ? pvt->subscriber_number : CONF_SHARED(pvt, exten),
+			NULL);
+#endif /* ^13- */
 
 	if (!channel)
 	{
@@ -865,7 +871,7 @@ static int start_pbx(struct pvt* pvt, const char * number, int call_idx, call_st
 	// ast_pbx_start() usually failed if asterisk.conf minmemfree set too low, try drop buffer cache sync && echo 3 > /proc/sys/vm/drop_caches
 #if ASTERISK_VERSION_NUM >= 130000 /* 13+ */
 	ast_channel_unlock(channel);
-#endif
+#endif /* ^13+ */
 	if (ast_pbx_start (channel))
 	{
 		ast_channel_tech_pvt_set(channel, NULL);
@@ -1050,7 +1056,7 @@ static int at_response_ccwa(struct pvt* pvt, char* str)
 	int status, n;
 	unsigned class;
 
-	/* 
+	/*
 	 * CCWA may be in form:
 	 *	in response of AT+CCWA=?
 	 *		+CCWA: (0,1)
@@ -1161,7 +1167,9 @@ static int at_response_cmti (struct pvt* pvt, const char* str)
 				return -1;
 			}
 			else
-			    pvt->incoming_sms = 1;
+			{
+				pvt->incoming_sms = 1;
+			}
 		}
 
 		return 0;
@@ -1203,82 +1211,82 @@ static int at_response_cmgr (struct pvt* pvt, const char * str, size_t len)
 	manager_event_message("DongleNewCMGR", PVT_ID(pvt), str);
 	if (ecmd)
 	{
-	    if (ecmd->res == RES_CMGR || ecmd->cmd == CMD_USER)
-	    {
-		at_queue_handle_result (pvt, RES_CMGR);
-		pvt->incoming_sms = 0;
-		pvt_try_restate(pvt);
-
-		cmgr = err_pos = ast_strdupa (str);
-		err = at_parse_cmgr (&err_pos, len, oa, sizeof(oa), &oa_enc, &msg, &msg_enc); // YYY
-		if (err == (void*)0x1) /* HACK! */
+		if (ecmd->res == RES_CMGR || ecmd->cmd == CMD_USER)
 		{
-			char buf[64];
-			int res = (int)(long)msg; /* HACK */
-			snprintf(buf, 64, "Delivered\r\nForeignID: %d", res);
-			manager_event_sent_notify(PVT_ID(pvt), "SMS", 0x0 /* task is popped */, buf);
-			return 0;
-		}
-		else if (err)
-		{
-			ast_log (LOG_WARNING, "[%s] Error parsing incoming message '%s' at possition %d: %s\n", PVT_ID(pvt), str, (int)(err_pos - cmgr), err);
-			return 0;
-		}
+			at_queue_handle_result (pvt, RES_CMGR);
+			pvt->incoming_sms = 0;
+			pvt_try_restate(pvt);
 
-		ast_debug (1, "[%s] Successfully read SMS message\n", PVT_ID(pvt));
+			cmgr = err_pos = ast_strdupa (str);
+			err = at_parse_cmgr (&err_pos, len, oa, sizeof(oa), &oa_enc, &msg, &msg_enc); // YYY
+			if (err == (void*)0x1) /* HACK! */
+			{
+				char buf[64];
+				int res = (int)(long)msg; /* HACK */
+				snprintf(buf, 64, "Delivered\r\nForeignID: %d", res);
+				manager_event_sent_notify(PVT_ID(pvt), "SMS", 0x0 /* task is popped */, buf);
+				return 0;
+			}
+			else if (err)
+			{
+				ast_log (LOG_WARNING, "[%s] Error parsing incoming message '%s' at possition %d: %s\n", PVT_ID(pvt), str, (int)(err_pos - cmgr), err);
+				return 0;
+			}
 
-		/* last chance to define encodings */
-		if (oa_enc == STR_ENCODING_UNKNOWN)
-			oa_enc = pvt->use_ucs2_encoding ? STR_ENCODING_UCS2_HEX : STR_ENCODING_7BIT;
+			ast_debug (1, "[%s] Successfully read SMS message\n", PVT_ID(pvt));
 
-		if (msg_enc == STR_ENCODING_UNKNOWN)
-			msg_enc = pvt->use_ucs2_encoding ? STR_ENCODING_UCS2_HEX : STR_ENCODING_7BIT;
+			/* last chance to define encodings */
+			if (oa_enc == STR_ENCODING_UNKNOWN)
+				oa_enc = pvt->use_ucs2_encoding ? STR_ENCODING_UCS2_HEX : STR_ENCODING_7BIT;
 
-		/* decode number and message */
-		res = str_recode (RECODE_DECODE, oa_enc, oa, strlen(oa), from_number_utf8_str, sizeof (from_number_utf8_str));
-		if (res < 0)
-		{
-			ast_log (LOG_ERROR, "[%s] Error decode SMS originator address: '%s', message is '%s'\n", PVT_ID(pvt), oa, str);
-			number = oa;
-			return 0;
-		}
-		else
-			number = from_number_utf8_str;
+			if (msg_enc == STR_ENCODING_UNKNOWN)
+				msg_enc = pvt->use_ucs2_encoding ? STR_ENCODING_UCS2_HEX : STR_ENCODING_7BIT;
 
-		msg_len = strlen(msg);
-		res = str_recode (RECODE_DECODE, msg_enc, msg, msg_len, sms_utf8_str, sizeof (sms_utf8_str));
-		if (res < 0)
-		{
-			ast_log (LOG_ERROR, "[%s] Error decode SMS text '%s' from encoding %d, message is '%s'\n", PVT_ID(pvt), msg, msg_enc, str);
-			return 0;
-		}
-		else
-		{
-			msg = sms_utf8_str;
-			msg_len = res;
-		}
+			/* decode number and message */
+			res = str_recode (RECODE_DECODE, oa_enc, oa, strlen(oa), from_number_utf8_str, sizeof (from_number_utf8_str));
+			if (res < 0)
+			{
+				ast_log (LOG_ERROR, "[%s] Error decode SMS originator address: '%s', message is '%s'\n", PVT_ID(pvt), oa, str);
+				number = oa;
+				return 0;
+			}
+			else
+				number = from_number_utf8_str;
+
+			msg_len = strlen(msg);
+			res = str_recode (RECODE_DECODE, msg_enc, msg, msg_len, sms_utf8_str, sizeof (sms_utf8_str));
+			if (res < 0)
+			{
+				ast_log (LOG_ERROR, "[%s] Error decode SMS text '%s' from encoding %d, message is '%s'\n", PVT_ID(pvt), msg, msg_enc, str);
+				return 0;
+			}
+			else
+			{
+				msg = sms_utf8_str;
+				msg_len = res;
+			}
 
-		ast_verb (1, "[%s] Got SMS from %s: '%s'\n", PVT_ID(pvt), number, msg);
-		ast_base64encode (text_base64, (unsigned char*)msg, msg_len, sizeof(text_base64));
+			ast_verb (1, "[%s] Got SMS from %s: '%s'\n", PVT_ID(pvt), number, msg);
+			ast_base64encode (text_base64, (unsigned char*)msg, msg_len, sizeof(text_base64));
 
-		manager_event_new_sms(PVT_ID(pvt), number, msg);
-		manager_event_new_sms_base64(PVT_ID(pvt), number, text_base64);
-		{
-			channel_var_t vars[] = 
+			manager_event_new_sms(PVT_ID(pvt), number, msg);
+			manager_event_new_sms_base64(PVT_ID(pvt), number, text_base64);
 			{
-				{ "SMS", msg } ,
-				{ "SMS_BASE64", text_base64 },
-				{ "CMGR", (char *)str },
-				{ NULL, NULL },
-			};
-			start_local_channel (pvt, "sms", number, vars);
+				channel_var_t vars[] =
+				{
+					{ "SMS", msg } ,
+					{ "SMS_BASE64", text_base64 },
+					{ "CMGR", (char *)str },
+					{ NULL, NULL },
+				};
+				start_local_channel (pvt, "sms", number, vars);
+			}
+		}
+		else
+		{
+			ast_log (LOG_ERROR, "[%s] Received '+CMGR' when expecting '%s' response to '%s', ignoring\n", PVT_ID(pvt),
+					at_res2str (ecmd->res), at_cmd2str (ecmd->cmd));
 		}
-	    }
-	    else
-	    {
-		ast_log (LOG_ERROR, "[%s] Received '+CMGR' when expecting '%s' response to '%s', ignoring\n", PVT_ID(pvt),
-				at_res2str (ecmd->res), at_cmd2str (ecmd->cmd));
-	    }
 	}
 	else
 	{
@@ -1387,7 +1395,7 @@ static int at_response_cusd (struct pvt * pvt, char * str, size_t len)
 	manager_event_message("DongleNewUSSDBase64", PVT_ID(pvt), text_base64);
 
 	{
-		channel_var_t vars[] = 
+		channel_var_t vars[] =
 		{
 			{ "USSD_TYPE", typebuf },
 			{ "USSD_TYPE_STR", ast_strdupa(typestr) },
@@ -1714,13 +1722,8 @@ int at_response (struct pvt* pvt, const struct iovec iov[2], int iovcnt, at_res_
 			ast_debug (5, "[%s] iovcnt == 2\n", PVT_ID(pvt));
 
 			str = alloca(len + 1);
-			if (!str)
-			{
-				ast_debug (1, "[%s] buffer overflow\n", PVT_ID(pvt));
-				return -1;
-			}
-			memcpy (str,                  iov[0].iov_base, iov[0].iov_len);
-			memcpy (str + iov[0].iov_len, iov[1].iov_base, iov[1].iov_len);
+			memcpy(str, iov[0].iov_base, iov[0].iov_len);
+			memcpy(str + iov[0].iov_len, iov[1].iov_base, iov[1].iov_len);
 		}
 		else
 		{
diff --git a/chan_dongle.c b/chan_dongle.c
index 84eef5c..01d17f7 100644
--- a/chan_dongle.c
+++ b/chan_dongle.c
@@ -35,7 +35,6 @@
 #include <config.h>
 #endif /* HAVE_CONFIG_H */
 
-
 #include <asterisk.h>
 ASTERISK_FILE_VERSION(__FILE__, "$Rev: " PACKAGE_REVISION " $")
 
@@ -45,10 +44,6 @@ ASTERISK_FILE_VERSION(__FILE__, "$Rev: " PACKAGE_REVISION " $")
 #include <asterisk/callerid.h>
 #include <asterisk/module.h>		/* AST_MODULE_LOAD_DECLINE ... */
 #include <asterisk/timing.h>		/* ast_timer_open() ast_timer_fd() */
-#if ASTERISK_VERSION_NUM >= 130000 /* 13+ */
-#include <asterisk/stasis_channels.h>
-#include <asterisk/format_cache.h>
-#endif
 
 #include <sys/stat.h>			/* S_IRUSR | S_IRGRP | S_IROTH */
 #include <termios.h>			/* struct termios tcgetattr() tcsetattr()  */
@@ -58,6 +53,11 @@ ASTERISK_FILE_VERSION(__FILE__, "$Rev: " PACKAGE_REVISION " $")
 
 #include "ast_compat.h"			/* asterisk compatibility fixes */
 
+#if ASTERISK_VERSION_NUM >= 130000 /* 13+ */
+#include <asterisk/stasis_channels.h>
+#include <asterisk/format_cache.h>
+#endif /* ^13+ */
+
 #include "chan_dongle.h"
 #include "at_response.h"		/* at_res_t */
 #include "at_queue.h"			/* struct at_queue_task_cmd at_queue_head_cmd() */
@@ -73,10 +73,10 @@ ASTERISK_FILE_VERSION(__FILE__, "$Rev: " PACKAGE_REVISION " $")
 
 EXPORT_DEF const char * const dev_state_strs[4] = { "stop", "restart", "remove", "start" };
 EXPORT_DEF public_state_t * gpublic;
-#if ASTERISK_VERSION_NUM >= 100000 && ASTERISK_VERSION_NUM < 130000 /* 10+..13- */
+#if ASTERISK_VERSION_NUM >= 100000 && ASTERISK_VERSION_NUM < 130000 /* 10-13 */
 EXPORT_DEF struct ast_format chan_dongle_format;
 EXPORT_DEF struct ast_format_cap * chan_dongle_format_cap;
-#endif
+#endif /* ^10-13 */
 
 static int public_state_init(struct public_state * state);
 
@@ -355,7 +355,7 @@ EXPORT_DEF void clean_read_data(const char * devname, int fd)
 	struct ringbuffer rb;
 	int iovcnt;
 	int t;
-	
+
 	rb_init (&rb, buf, sizeof (buf));
 	for (t = 0; at_wait(fd, &t); t = 0)
 	{
@@ -399,7 +399,7 @@ static void* do_monitor_phone (void* data)
 	ast_copy_string(dev, PVT_ID(pvt), sizeof(dev));
 
 	clean_read_data(dev, fd);
-	
+
 	/* schedule dongle initilization  */
 	if (at_enque_initialization (&pvt->sys_chan, CMD_AT))
 	{
@@ -535,39 +535,39 @@ static int pvt_discovery(struct pvt * pvt)
 		ast_copy_string(imei, CONF_UNIQ(pvt, imei), sizeof(imei));
 		ast_copy_string(imsi, CONF_UNIQ(pvt, imsi), sizeof(imsi));
 
-		ast_debug(3, "[%s] Trying ports discovery for%s%s%s%s\n", 
-			PVT_ID(pvt), 
-			imei[0] == 0 ? "" : " IMEI ", 
-			imei, 
-			imsi[0] == 0 ? "" : " IMSI ", 
+		ast_debug(3, "[%s] Trying ports discovery for%s%s%s%s\n",
+			PVT_ID(pvt),
+			imei[0] == 0 ? "" : " IMEI ",
+			imei,
+			imsi[0] == 0 ? "" : " IMSI ",
 			imsi
 			);
 		ast_mutex_unlock (&pvt->lock);
 //sleep(10); // test
 		resolved = pdiscovery_lookup(devname, imei, imsi, &data_tty, &audio_tty);
 		ast_mutex_lock (&pvt->lock);
-		
+
 		if(resolved) {
 			ast_copy_string (PVT_STATE(pvt, data_tty),  data_tty,  sizeof (PVT_STATE(pvt, data_tty)));
 			ast_copy_string (PVT_STATE(pvt, audio_tty), audio_tty, sizeof (PVT_STATE(pvt, audio_tty)));
 
 			ast_free(audio_tty);
 			ast_free(data_tty);
-			ast_verb (3, "[%s]%s%s%s%s found on data_tty=%s audio_tty=%s\n", 
-				PVT_ID(pvt), 
-				imei[0] == 0 ? "" : " IMEI ", 
-				imei, 
-				imsi[0] == 0 ? "" : " IMSI ", 
+			ast_verb (3, "[%s]%s%s%s%s found on data_tty=%s audio_tty=%s\n",
+				PVT_ID(pvt),
+				imei[0] == 0 ? "" : " IMEI ",
+				imei,
+				imsi[0] == 0 ? "" : " IMSI ",
 				imsi,
-				PVT_STATE(pvt, data_tty), 
+				PVT_STATE(pvt, data_tty),
 				PVT_STATE(pvt, audio_tty)
 				);
 		} else {
-			ast_debug(3, "[%s] Not found ports for%s%s%s%s\n", 
-				PVT_ID(pvt), 
-				imei[0] == 0 ? "" : " IMEI ", 
-				imei, 
-				imsi[0] == 0 ? "" : " IMSI ", 
+			ast_debug(3, "[%s] Not found ports for%s%s%s%s\n",
+				PVT_ID(pvt),
+				imei[0] == 0 ? "" : " IMEI ",
+				imei,
+				imsi[0] == 0 ? "" : " IMSI ",
 				imsi
 				);
 		}
@@ -860,17 +860,13 @@ EXPORT_DECL int pvt_enabled(const struct pvt * pvt)
 #/* */
 EXPORT_DEF int ready4voice_call(const struct pvt* pvt, const struct cpvt * current_cpvt, int opts)
 {
-	if(!pvt->connected 
-		|| 
-	   !pvt->initialized
-		|| 
-	   !pvt->has_voice 
-		|| 
-	   !pvt->gsm_registered 
-		|| 
-	   !pvt_enabled(pvt)
-	)
+	if(!pvt->connected
+		|| !pvt->initialized
+		|| !pvt->has_voice
+		|| !pvt->gsm_registered
+		|| !pvt_enabled(pvt)) {
 		return 0;
+	}
 
 	return is_dial_possible2(pvt, opts, current_cpvt);
 }
@@ -1468,29 +1464,20 @@ static int pvt_reconfigure(struct pvt * pvt, const pvt_config_t * settings, rest
 		/* check what changes require starting or stopping */
 		if(pvt->desired_state != SCONFIG(settings, initstate)) {
 			pvt->desired_state = SCONFIG(settings, initstate);
-			
+
 			rv = pvt_time4restate(pvt);
 			pvt->restart_time = rv ? RESTATE_TIME_NOW : when;
 		}
 
 		/* check what config changes require restaring */
-		else if(
-		   strcmp(UCONFIG(settings, audio_tty), CONF_UNIQ(pvt, audio_tty))
-			||
-		   strcmp(UCONFIG(settings, data_tty), CONF_UNIQ(pvt, data_tty))
-			||
-		   strcmp(UCONFIG(settings, imei), CONF_UNIQ(pvt, imei))
-			||
-		   strcmp(UCONFIG(settings, imsi), CONF_UNIQ(pvt, imsi))
-			||
-		   SCONFIG(settings, u2diag) != CONF_SHARED(pvt, u2diag)
-			||
-		   SCONFIG(settings, resetdongle) != CONF_SHARED(pvt, resetdongle)
-			||
-		   SCONFIG(settings, smsaspdu) != CONF_SHARED(pvt, smsaspdu)
-			||
-		   SCONFIG(settings, callwaiting) != CONF_SHARED(pvt, callwaiting)
-		   )
+		else if(strcmp(UCONFIG(settings, audio_tty), CONF_UNIQ(pvt, audio_tty))
+			|| strcmp(UCONFIG(settings, data_tty), CONF_UNIQ(pvt, data_tty))
+			|| strcmp(UCONFIG(settings, imei), CONF_UNIQ(pvt, imei))
+			|| strcmp(UCONFIG(settings, imsi), CONF_UNIQ(pvt, imsi))
+			|| SCONFIG(settings, u2diag) != CONF_SHARED(pvt, u2diag)
+			|| SCONFIG(settings, resetdongle) != CONF_SHARED(pvt, resetdongle)
+			|| SCONFIG(settings, smsaspdu) != CONF_SHARED(pvt, smsaspdu)
+			|| SCONFIG(settings, callwaiting) != CONF_SHARED(pvt, callwaiting))
 		{
 			/* TODO: schedule restart */
 			pvt->desired_state = DEV_STATE_RESTARTED;
@@ -1656,7 +1643,7 @@ static int load_module()
 static int public_state_init(struct public_state * state)
 {
 	int rv = AST_MODULE_LOAD_DECLINE;
-	
+
 	AST_RWLIST_HEAD_INIT(&state->devices);
 	ast_mutex_init(&state->discovery_lock);
 
@@ -1683,7 +1670,7 @@ static int public_state_init(struct public_state * state)
 			}
 			ast_format_cap_add(channel_tech.capabilities, &chan_dongle_format);
 			chan_dongle_format_cap = channel_tech.capabilities;
-#endif
+#endif /* ^10-13 */
 
 			/* register our channel type */
 			if(ast_channel_register(&channel_tech) == 0)
@@ -1698,11 +1685,11 @@ static int public_state_init(struct public_state * state)
 			else
 			{
 #if ASTERISK_VERSION_NUM >= 130000 /* 13+ */
-			        ao2_cleanup(channel_tech.capabilities);
-			        channel_tech.capabilities = NULL;
+				ao2_cleanup(channel_tech.capabilities);
+				channel_tech.capabilities = NULL;
 #elif ASTERISK_VERSION_NUM >= 100000 /* 10-13 */
 				channel_tech.capabilities = ast_format_cap_destroy(channel_tech.capabilities);
-#endif
+#endif /* ^10-13 */
 				ast_log (LOG_ERROR, "Unable to register channel class %s\n", channel_tech.type);
 			}
 			discovery_stop(state);
@@ -1731,12 +1718,11 @@ static void public_state_fini(struct public_state * state)
 	/* First, take us out of the channel loop */
 	ast_channel_unregister (&channel_tech);
 #if ASTERISK_VERSION_NUM >= 130000 /* 13+ */
-        ao2_cleanup(channel_tech.capabilities);
-        channel_tech.capabilities = NULL;
-
+	ao2_cleanup(channel_tech.capabilities);
+	channel_tech.capabilities = NULL;
 #elif ASTERISK_VERSION_NUM >= 100000 /* 10-13 */
 	channel_tech.capabilities = ast_format_cap_destroy(channel_tech.capabilities);
-#endif
+#endif /* ^10-13 */
 
 	/* Unregister the CLI & APP & MANAGER */
 
@@ -1748,7 +1734,7 @@ static void public_state_fini(struct public_state * state)
 
 	discovery_stop(state);
 	devices_destroy(state);
-	
+
 //	ast_mutex_destroy(&state->round_robin_mtx);
 	ast_mutex_destroy(&state->discovery_lock);
 	AST_RWLIST_HEAD_DESTROY(&state->devices);
@@ -1759,7 +1745,7 @@ static int unload_module()
 
 	public_state_fini(gpublic);
 	pdiscovery_fini();
-	
+
 	ast_free(gpublic);
 	gpublic = NULL;
 	return 0;
@@ -1785,13 +1771,13 @@ static int reload_module()
 AST_MODULE_INFO(ASTERISK_GPL_KEY, AST_MODFLAG_DEFAULT, MODULE_DESCRIPTION,
 #if ASTERISK_VERSION_NUM >= 130000 /* 13+ */
 		.support_level = AST_MODULE_SUPPORT_EXTENDED,
-#endif
+#endif /* ^13+ */
 		.load = load_module,
 		.unload = unload_module,
 		.reload = reload_module,
 #if ASTERISK_VERSION_NUM >= 130000 /* 13+ */
 		.load_pri = AST_MODPRI_CHANNEL_DRIVER,
-#endif
+#endif /* ^13+ */
 	       );
 
 //AST_MODULE_INFO_STANDARD (ASTERISK_GPL_KEY, MODULE_DESCRIPTION);
diff --git a/chan_dongle.h b/chan_dongle.h
index a94cfbb..b6e0436 100644
--- a/chan_dongle.h
+++ b/chan_dongle.h
@@ -16,7 +16,7 @@
 #include <asterisk/lock.h>
 #include <asterisk/linkedlists.h>
 
-#include <ast_compat.h>
+#include "ast_compat.h"				/* asterisk compatibility fixes */
 
 #include "mixbuffer.h"				/* struct mixbuffer */
 //#include "ringbuffer.h"				/* struct ringbuffer */
@@ -38,12 +38,12 @@ INLINE_DECL const char * dev_state2str_msg(dev_state_t state)
 	return enum2str(state, states, ITEMS_OF(states));
 }
 
-#if ASTERISK_VERSION_NUM >= 100000 && ASTERISK_VERSION_NUM < 130000 /* 10+..13- */
+#if ASTERISK_VERSION_NUM >= 100000 && ASTERISK_VERSION_NUM < 130000 /* 10-13 */
 /* Only linear is allowed */
 EXPORT_DECL struct ast_format chan_dongle_format;
 //EXPORT_DEF struct ast_format chan_dongle_format;
 EXPORT_DECL struct ast_format_cap * chan_dongle_format_cap;
-#endif
+#endif /* ^10-13 */
 
 typedef enum {
 	RESTATE_TIME_NOW	= 0,
@@ -131,7 +131,7 @@ typedef struct pvt
 //	char			a_read_buf[FRAME_SIZE + AST_FRIENDLY_OFFSET];	/*!< audio read buffer */
 //	struct ast_frame	a_read_frame;			/*!< readed frame buffer */
 
-	
+
 	char			dtmf_digit;			/*!< last DTMF digit */
 	struct timeval		dtmf_begin_time;		/*!< time of begin of last DTMF digit */
 	struct timeval		dtmf_end_time;			/*!< time of end of last DTMF digit */
@@ -139,7 +139,7 @@ typedef struct pvt
 	int			timeout;			/*!< used to set the timeout for data */
 #define DATA_READ_TIMEOUT	10000				/* 10 seconds */
 
-	unsigned long		channel_instanse;		/*!< number of channels created on this device */
+	unsigned long		channel_instance;		/*!< number of channels created on this device */
 	unsigned int		rings;				/*!< ring/ccwa  number distributed to at_response_clcc() */
 
 	/* device caps */
